Portal Home > Knowledgebase > Information > Minimum system requirements for installing vCenter Server

Minimum system requirements for installing vCenter Server

The aim of this document is to ensure that meet the minimum system requirements in order to install vCenter Server. Failure to satisfy these requirements will result in your installation not completing. Please note that these requirements are the minimum and for enhanced performance you should scale your server appropriately.

vCenter Server 5.x

The vCenter Server 5.0 system can be a physical machine or virtual machine. Additionally, it comes pre-packaged as the vCenter Server Linux Appliance.

This table outlines the minimum hardware requirements:
Hardware
Requirement
Processor
Intel or AMD x86 processor with two or more logical cores, each with a speed of at least 2GHz. The Intel Itanium (IA64) processor is not supported. Processor requirements might be higher if the database runs on the same machine.
Memory
4GB RAM. RAM requirements may be higher if your database runs on the same machine. VMware VirtualCenter Management WebServices requires 512Mb to 4.4GB of additional memory. The maximum Webservices JVM memory can be specified during the installation depending on the inventory size.
Disk storage
4GB. Disk requirements may be higher if the vCenter Server database runs on the same machine. In vCenter Server 5.0, the default size for vCenter Server logs is 450MB, which is larger than in vCenter Server 4.x. Make sure the disk space allotted to the log folder is sufficient for this increase.
Microsoft SQL Server 2008 R2 Express disk requirements
Up to 2GB free disk space to decompress the installation archive. Approximately 1.5GB of these files are deleted after the installation is complete.
Networking
1Gbit connection recommended.

Operating system requirements

Note: vCenter Server 5.0 requires a 64-bit operating system and cannot be installed on a 32-bit operating system. When performing an install you must ensure that your operating system is 64-bit capable.

These operating systems are supported:
  • Microsoft Windows Server 2003 Standard, Enterprise or Datacenter SP2 64bit
  • Microsoft Windows Server 2003 Standard, Enterprise or Datacenter R2 64bit
  • Microsoft Windows Server 2008 Standard, Enterprise or Datacenter SP2 64bit
  • Microsoft Windows Server 2008 Standard, Enterprise or Datacenter R2 SP1 64bit
  • Microsoft Windows Server 2008 Standard, Enterprise or Datacenter R2 64bit
  • Microsoft Windows Server 2008 Standard, Enterprise or Datacenter SP1 64bit

Supported Databases
The bundled Microsoft SQL Server 2008 R2 Express database package is installed and configured when you select the bundled database during vCenter Server installation or upgrade.
To install the bundled Microsoft SQL Server 2008 R2 Express database, Microsoft Windows Installer version 4.5 (MSI 4.5) is required on your system. You can download MSI 4.5 from the Microsoft Web site. You can also install MSI 4.5 directly from the vCenter Server autorun.exe installer.

These databases are supported:

  • IBM DB2 9.5
  • IBM DB2 9.7
  • SQL Server 2005 64-bit Standard, Enterprise SP4
  • SQL Server 2005 32-bit Standard, Enterprise SP4
  • SQL Server 2008 64-bit Express R2
  • SQL Server 2008 32-bit Standard, Enterprise
  • SQL Server 2008 64-bit Standard, Enterprise
  • SQL Server 2008 32-bit Standard, Enterprise SP1
  • SQL Server 2008 64-bit Standard, Enterprise SP1
  • Oracle 10g 32-bit Standard, Enterprise, One R2 (supported with version 10.2.0.3.0 or higher)
  • Oracle 10g 64-bit Standard, Enterprise, One R2 (requires version 10.2.0.4)
  • Oracle 11g 32-bit Standard, Enterprise, One R1
  • Oracle 11g 64-bit Standard, Enterprise, One R1
  • Oracle 11g 32-bit Standard, Enterprise, One R2
  • Oracle 11g 64-bit Standard, Enterprise, One R2

 

vCenter Server 4.x

To ensure a trouble-free installation of vCenter Server:
  • Make sure your hardware and operating system requirements are compliant. The vCenter Server 4.x system can be a physical or a virtual machine.
    • Processor – Intel or AMD x86 (64-bit if installing vCenter Server 4.1) processor with two or more logical cores, each with a speed of 2GHz.
    • Memory – 3GB RAM. RAM requirements may be higher if your database runs on the same machine. VMware VirtualCenter Management WebServices requires 128Mb to 1.5GB of memory which is allocated at startup.
    • Disk storage – 2GB. Disk requirements may be higher if your database runs on the same machine.
    • Microsoft SQL Server 2005 Express disk requirements. The bundled database requires up to 2GB free disk space to decompress the installation archive.
    • Networking – 1Gbit recommended.
  • Make sure your database requirements and patch levels are compliant:
    • Microsoft SQL server Database Support:
      • Microsoft SQL Server 2005 Express

        Note: Microsoft SQL Server 2005 Express is intended for use with small deployments of up to 5 hosts and/or 50 virtual machines.
      • Microsoft SQL Server 2005 Standard edition (SP1, SP2, SP3)
      • Microsoft SQL Server 2005 Standard edition (SP2, SP3) 64 bit
      • Microsoft SQL Server 2005 Enterprise edition (SP1, SP2, SP3)
      • Microsoft SQL Server 2005 Enterprise edition (SP2, SP3) 64 bit
      • Microsoft SQL Server 2008 Standard Edition
      • Microsoft SQL Server 2008 Standard Edition 64 bit
      • Microsoft SQL Server 2008 Enterprise Edition
      • Microsoft SQL Server 2008 Enterprise Edition 64 bit
    • Oracle Database Support:
      • Oracle 10g Standard edition (Release 2 [10.2.0.4])
      • Oracle 10g Enterprise edition (Release 2 [10.2.0.4])
      • Oracle 10g Enterprise edition (Release 2 [10.2.0.4]) 64 bit
      • Oracle 11g Standard edition
      • Oracle 11g Enterprise edition
    • IBM DB2 9 Support:
      • IBM DB2 Express C
      • IBM DB2 Express Edition 9
      • IBM DB2 Workgroup Server Edition 9
      • IBM DB2 Enterprise Server Edition 9

        Note: IBM DB2 database is only supported for vCenter Server. There is no support for Update Manager or any plug-in that requires a database.
  • Make sure your operating system meets these requirements:
  • Note: vCenter Server 4.1 does not support 32-bit host operating systems, and only supports 64 bit, while 4.0 may still be installed on a 32-bit operating system.
  • vCenter Server 4.1
    • Windows XP Pro SP2 (SP2 required, 64-bit)
    • Windows Server 2003 (SP1 required, 64-bit)
    • Windows Server 2008 (64-bit)
  • vCenter Server 4.0
    • Windows XP Pro
    • Windows Server 2003
    • Windows Server 2003 64-bit (Compatibility mode only)
    • Windows Server 2008
    • Windows Server 2008 64-bit (Compatibility mode only)

Also Read

Language: